NovaDB CMS API
Branches
Create, read, update and delete branches
Cms_GetBranches
Get a paginated list of branches
Request
GET /branches[?continue&take&attributes&variants&languages]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| continue | string | An opaque token used to continue the pagination |
|
| take | integer (int32) | The maximum number of branches to return |
|
| attributes | string | A comma separated list of object IDs, Guids or ApiIdentifiers to filter down values by Attributes |
|
| variants | string | A comma separated list of object IDs, Guids or ApiIdentifiers to filter down values by Variants |
|
| languages | string | A comma separated list of object IDs, Guids or ApiIdentifiers to filter down values by Languages |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The branch objects were found and returned successfully |
||
| 400 | One or more request parameters are invalid |
||
| 404 | One or more provided filter identifiers could not be found |
Cms_CreateBranch
Create a branch
Request
POST /branches
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| X-CmsApi-Username | string | The username this transaction is committed for. This must be set for internal access, otherwise, the transaction will be committed as the user who is currently logged in. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The branch was created successfully |
||
| 400 | One or more request parameters are invalid or the branch data is malformed |
||
| 403 | The user does not have permission to create a branch |
Cms_GetBranch
Get a single branch by ID
Request
GET /branches/{id}[?attributes&variants&languages]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | string | The branch ID, Guid or ApiIdentifier |
|
| attributes | string | A comma separated list of object IDs, Guids or ApiIdentifiers to filter down values by attributes |
|
| variants | string | A comma separated list of object IDs, Guids or ApiIdentifiers to filter down values by variants |
|
| languages | string | A comma separated list of object IDs, Guids or ApiIdentifiers to filter down values by languages |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The requested branch was found and returned successfully |
||
| 304 | The branch has not been modified since the last request |
||
| 400 | One or more request parameters are invalid or missing |
||
| 403 | The user does not have sufficient permissions to read this branch |
||
| 404 | The specified branch could not be found |
Cms_UpdateBranch
Update a branch
Request
PATCH /branches/{id}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | string | The branch ID, Guid or ApiIdentifier |
|
| X-CmsApi-Username | string | The username this transaction is committed for. This must be set for internal access, otherwise, the transaction will be committed as the user who is currently logged in. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The branch was updated successfully |
||
| 400 | One or more request parameters are invalid or the branch data is malformed |
||
| 403 | The user does not have permission to update this branch |
||
| 404 | The specified branch could not be found |
Cms_DeleteBranch
Deletes a branch by ID
Request
DELETE /branches/{id}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | string | The branch ID, Guid or ApiIdentifier |
|
| X-CmsApi-Username | string | The username this transaction is committed for. This must be set for internal access, otherwise, the transaction will be committed as the user who is currently logged in. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The branch was deleted successfully |
||
| 400 | One or more request parameters are invalid or the branch cannot be deleted |
||
| 403 | The user does not have permission to delete this branch |
||
| 404 | The specified branch could not be found |
Code Generator
Create source code for business classes from the CMS object types
CodeGenerator_GetCSharpClasses
Get generated class implementation for all objects with API identifiers
Request
GET /branches/{branch}/generators/{language}/types[?ids]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branch | string | The branch ID or ApiIdentifier |
|
| *language | string | The programming language of the generated code |
|
| ids | string | A comma separated list of object type IDs, Guids or ApiIdentifiers or "all" for all custom object types that have an API Identifier |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The generated source code was returned successfully |
||
| 400 | One or more request parameters are invalid or the language is unsupported |
||
| 403 | The user does not have read permission for the specified branch |
CodeGenerator_GetCSharpClass
Get a c# class for a specific object type
Request
GET /branches/{branch}/generators/{language}/types/{type}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branch | string | The branch ID or ApiIdentifier |
|
| *language | string | The programming language of the generated code |
|
| *type | string | The object type ID or ApiIdentifier |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The generated source code for the type was returned successfully |
||
| 400 | One or more request parameters are invalid or the language is unsupported |
Comments
Create, read, update and delete comments
Comment_CreateComment
Create a comment.
Request
POST /comments
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| X-CmsApi-Username | string | The username this transaction is committed for. This must be set for internal access, otherwise, the transaction will be committed as the user who is currently logged in. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The comment was created successfully |
||
| 400 | One or more request parameters are invalid or the comment data is malformed |
||
| 403 | The user does not have permission to create a comment on this branch |
||
| 404 | The specified branch or object could not be found |
Comment_GetComments
Get multiple comments, sorted by id, descending.
Request
GET /comments[?branchRef&objectRef&user&isDeleted&isThreadRoot&continue&take]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| branchRef | integer (int32) | The id of the branch. |
|
| objectRef | integer (int32) | The id of object the comment refers to. |
|
| user | string | The user who wrote the comment. If not null, only comments created by the specified user will be included. |
|
| isDeleted | boolean | If true, include only deleted, if false include only not-deleted, if null include all comments. |
|
| isThreadRoot | boolean | If true, restrict to comments that don't have a parent. |
|
| continue | string | An opaque token that encapsulates information how to continue the list request |
|
| take | integer (int32) | The number of comments to take. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The requested comments were found and returned successfully |
||
| 400 | One or more request parameters are invalid or missing |
||
| 403 | The user does not have sufficient permissions to read comments on this branch |
||
| 404 | The specified branch or comment could not be found |
Comment_GetComment
Get a single comment by ID
Request
GET /comments/{commentId}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *commentId | integer (int64) | The comment's ID. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The requested comment was found and returned successfully |
||
| 403 | The user does not have sufficient permissions to read this comment |
||
| 404 | The specified comment could not be found |
Comment_DeleteComment
Deletes a comment.
Request
DELETE /comments/{commentId}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *commentId | integer (int64) | The comment's id. |
|
| X-CmsApi-Username | string | The username this transaction is committed for. This must be set for internal access, otherwise, the transaction will be committed as the user who is currently logged in. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The comment was deleted successfully |
||
| 400 | One or more request parameters are invalid or missing |
||
| 403 | The user does not have permission to delete this comment |
||
| 404 | The specified comment could not be found |
Comment_UpdateComment
Updates a comment.
Request
PATCH /comments/{commentId}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *commentId | integer (int64) | The comment id. |
|
| X-CmsApi-Username | string | The username this transaction is committed for. This must be set for internal access, otherwise, the transaction will be committed as the user who is currently logged in. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The comment was updated successfully |
||
| 400 | One or more request parameters are invalid or the comment data is malformed |
||
| 403 | The user does not have permission to update this comment |
||
| 404 | The specified comment could not be found or is deleted |
Comment_Reply
Replys to a comment.
Request
POST /comments/{commentId}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *commentId | integer (int64) | The id of the comment to reply to. |
|
| X-CmsApi-Username | string | The username this transaction is committed for. This must be set for internal access, otherwise, the transaction will be committed as the user who is currently logged in. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The reply-comment was created successfully |
||
| 400 | One or more request parameters are invalid or the comment data is malformed |
||
| 403 | The user does not have permission to create a comment on this branch |
||
| 404 | The specified branch or object could not be found |
Files
Upload and download external binaries (files)
Files_GetFile
Retrieve the file with the specified name.
Retrieve the file with the specified name.
Request
GET /files/{name}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *name | string | Name of the file including the extension. |
|
| range | string | Range header value. For more information, visit https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Range |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The requested file was found and returned successfully |
||
| 206 | Partial file content returned for a valid range request |
||
| 304 | The file has not been modified since the last request |
||
| 400 | One or more request parameters are invalid or missing |
||
| 404 | The specified file could not be found |
Files_StartUpload
Start uploading an external file.
Start uploading an external file.
Request
POST /fileUpload
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The file upload was started or completed successfully |
||
| 400 | One or more request parameters are invalid or the file is missing |
||
| 403 | The user does not have permission to upload files |
||
| 413 | The uploaded chunk exceeds the maximum allowed file chunk size |
||
| 422 | The total file size exceeds the expected limit |
Files_ContinueUpload
Continue uploading an external file.
Continue uploading an external file.
Request
PUT /fileUpload/{token}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *token | string | The token of the temporary file. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The file chunk was accepted and appended successfully |
||
| 400 | One or more request parameters are invalid or the file is missing |
||
| 403 | The user does not have permission to upload files |
||
| 413 | The uploaded chunk exceeds the maximum allowed file chunk size |
||
| 422 | The total file size exceeds the expected limit |
Files_DeleteTempFile
Delete the temporary file using the provided token.
Delete the temporary file using the provided token.
Request
DELETE /fileUpload/{token}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *token | string | Token for the temporary file to delete (including extension). |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The temporary file was deleted successfully |
||
| 400 | One or more request parameters are invalid or missing |
||
| 403 | The user does not have permission to delete this file |
Identities
Read user data
Identity_GetUserDisplayName
Gets a user's display name.
Request
GET /users/{name}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *name | string | The user's name. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The requested user was found and their display name returned |
||
| 304 | The user data has not been modified since the last request |
||
| 400 | One or more request parameters are invalid or missing |
||
| 403 | The user does not have sufficient permissions to read user data |
||
| 404 | The specified user could not be found |
||
| 422 | The provided user identifier matches more than one user |
Jobs
Create, read, update and delete jobs
Job_CreateJob
Create a job.
Request
POST /jobs
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| X-CmsApi-Username | string | The username this transaction is committed for. This must be set for internal access, otherwise, the transaction will be committed as the user who is currently logged in. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The job was created successfully |
||
| 400 | One or more request parameters are invalid or the job data is malformed |
||
| 403 | The user does not have permission to create a job on this branch |
||
| 404 | The specified branch or job definition could not be found |
Job_GetJobs
Get Jobs
Request
GET /jobs[?branchId&definitionRef&state&triggerRef&createdBy&isDeleted&continue&take]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| branchId | integer (int32) | The id of the branch. |
|
| definitionRef | integer (int32) | The id of the job definition. |
|
| state | Job state. if null, all states will be included. (0=New, 1=Running, 2=Succeeded, 3=Error, 4=KillRequest, 5=RestartRequest) |
||
| triggerRef | integer (int32) | If not null, only jobs triggered by the specified Id will be included. |
|
| createdBy | string | Job Created by. If not null, only jobs created by the specified user will be included. |
|
| isDeleted | boolean | If true, include only deleted, if false include only not-deleted, if null include all jobs. |
|
| continue | string | An opaque token that encapsulates information how to continue the list request |
|
| take | integer (int32) | The number of jobs to take. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The matching jobs were found and returned successfully |
||
| 400 | One or more request parameters are invalid or missing |
||
| 403 | The user does not have sufficient permissions to read jobs |
||
| 404 | The specified branch or job could not be found |
Job_GetJob
Get a single job by ID
Request
GET /jobs/{jobId}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *jobId | integer (int32) | The job ID. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The requested job was found and returned successfully |
||
| 403 | The user does not have sufficient permissions to read this job |
||
| 404 | The specified job could not be found |
Job_UpdateJob
Updates a job.
Request
PATCH /jobs/{jobId}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *jobId | integer (int32) | The job id. |
|
| X-CmsApi-Username | string | The username this transaction is committed for. This must be set for internal access, otherwise, the transaction will be committed as the user who is currently logged in. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The job was updated successfully |
||
| 400 | One or more request parameters are invalid or the job state transition is not allowed |
||
| 403 | The user does not have permission to update this job |
||
| 404 | The specified job or its job definition could not be found |
Job_DeleteJob
Deletes a job.
Request
DELETE /jobs/{jobId}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *jobId | integer (int32) | The job id. |
|
| X-CmsApi-Username | string | The username this transaction is committed for. This must be set for internal access, otherwise, the transaction will be committed as the user who is currently logged in. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The job was deleted successfully |
||
| 400 | One or more request parameters are invalid or missing |
||
| 403 | The user does not have permission to delete this job |
||
| 404 | The specified job could not be found |
Job_GetJobMetrics
Get job metrics by Job Id
Request
GET /jobs/{jobId}/metrics[?maxItems]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *jobId | integer (int32) | The job ID. |
|
| maxItems | integer (int32) | Optional parameter to limit the number of metric points returned. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The job metrics were found and returned successfully |
||
| 403 | The user does not have sufficient permissions to read job metrics |
||
| 404 | The specified job could not be found |
Job_GetJobProgress
Get job progress information by Job Id
Request
GET /jobs/{jobId}/progress
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *jobId | integer (int32) | The job ID. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The job progress information was found and returned successfully |
||
| 403 | The user does not have sufficient permissions to read job progress |
||
| 404 | The specified job could not be found |
Job_GetJobObjectIds
Gets the ids of the job's context objects.
Request
GET /jobs/{jobId}/objectIds
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *jobId | integer (int32) | The job id. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The job's context object IDs were returned successfully |
||
| 400 | One or more request parameters are invalid or missing |
||
| 403 | The user does not have sufficient permissions to read this job |
||
| 404 | The specified job could not be found |
Job_GetJobLogs
Get job logs by Job Id
Request
GET /jobs/{jobId}/logs
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *jobId | integer (int32) | The job ID. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The job log file was found and returned as a plain text stream |
||
| 403 | The user does not have sufficient permissions to read job logs |
||
| 404 | The specified job could not be found |
Job_GetJobArtifactsZip
Get job artifacts by Job Id as a ZIP file
Request
GET /jobs/{jobId}/artifacts.zip
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *jobId | integer (int32) | The job ID. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The job artifacts were found and returned as a ZIP archive |
||
| 400 | One or more request parameters are invalid or missing |
||
| 404 | The specified job or its artifacts could not be found |
Job_GetJobArtifacts
Provides a listing of job artifacts.
Request
GET /jobs/{jobId}/artifacts
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *jobId | integer (int32) | The job ID. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | A listing of the job's artifact files was returned successfully |
||
| 400 | One or more request parameters are invalid or missing |
||
| 404 | The specified job or its artifacts could not be found |
Job_GetJobArtifact
Get a single artifact file.
Request
GET /jobs/{jobId}/artifacts/{path}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *jobId | integer (int32) | The job ID. |
|
| *path | string | The relative path of the file. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The requested artifact file was found and returned successfully |
||
| 400 | One or more request parameters are invalid or missing |
||
| 404 | The specified job artifact file could not be found |
Job_JobInputUpload
Start uploading a file to be used as job input.
Request
POST /jobInput
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The file chunk was accepted and a token for further uploads is returned |
||
| 400 | One or more request parameters are invalid or the file is missing |
||
| 403 | The user does not have permission to upload job input files |
||
| 413 | The uploaded chunk exceeds the maximum allowed file chunk size |
||
| 422 | The total file size exceeds the expected limit |
Job_JobInputContinue
Continue uploading a file to be used as job input.
Request
POST /jobInput/{token}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *token | string | The key of the temporary data |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The file chunk was accepted and appended to the existing upload |
||
| 400 | One or more request parameters are invalid or the file is missing |
||
| 403 | The user does not have permission to upload job input files |
||
| 413 | The uploaded chunk exceeds the maximum allowed file chunk size |
||
| 422 | The total file size exceeds the expected limit |
Job_JobInputCancel
Cancel uploading a file to be used as job input.
Request
DELETE /jobInput/{token}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *token | string | The key of the temporary data |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The temporary file was deleted and the upload was cancelled |
||
| 400 | One or more request parameters are invalid or missing |
||
| 403 | The user does not have permission to cancel this upload |
Objects
Create, read, update and delete objects
Cms_GetObject
Get a single object by ID
Request
GET /branches/{branch}/objects/{id}[?inherited&attributes&variants&languages]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branch | string | The branch ID, Guid or ApiIdentifier |
|
| *id | string | The object ID, Guid or ApiIdentifier |
|
| inherited | boolean | Include inherited values |
|
| attributes | string | A comma separated list of object IDs, Guids or ApiIdentifiers to filter down values by attributes |
|
| variants | string | A comma separated list of object IDs, Guids or ApiIdentifiers to filter down values by variants |
|
| languages | string | A comma separated list of object IDs, Guids or ApiIdentifiers to filter down values by languages |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The requested object was found and returned successfully |
||
| 304 | The object has not been modified since the last request |
||
| 400 | One or more request parameters are invalid or missing |
||
| 403 | The user does not have sufficient permissions to read this object |
||
| 404 | The specified branch or object could not be found |
||
| 422 | The provided object identifier matches more than one object |
Cms_GetObjects
Get multiple objects by ID
Request
GET /branches/{branch}/objects?ids[&inherited&attributes&variants&languages]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branch | string | The branch ID, Guid or ApiIdentifier |
|
| *ids | string | A comma separated list of object IDs, Guids or ApiIdentifiers |
|
| inherited | boolean | Include inherited values |
|
| attributes | string | A comma separated list of object IDs, Guids or ApiIdentifiers to filter down values by attributes |
|
| variants | string | A comma separated list of object IDs, Guids or ApiIdentifiers to filter down values by variants |
|
| languages | string | A comma separated list of object IDs, Guids or ApiIdentifiers to filter down values by languages |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The requested objects were found and returned successfully |
||
| 304 | The objects have not been modified since the last request |
||
| 400 | One or more request parameters are invalid or missing |
||
| 403 | The user does not have sufficient permissions to read these objects |
||
| 404 | The specified branch or one of the objects could not be found |
Cms_CreateObjects
Create objects
Request
POST /branches/{branch}/objects
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branch | string | The branch ID, Guid or ApiIdentifier |
|
| X-CmsApi-Username | string | The username this transaction is committed for. This must be set for internal access, otherwise, the transaction will be committed as the user who is currently logged in. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 | One or more objects were created successfully |
||
| 400 | One or more request parameters are invalid or the object data is malformed |
||
| 403 | The user does not have permission to create objects on this branch |
||
| 404 | The specified branch or object type could not be found |
Cms_UpdateObjects
Update objects
Request
PATCH /branches/{branch}/objects
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branch | string | The branch ID, Guid or ApiIdentifier |
|
| X-CmsApi-Username | string | The username this transaction is committed for. This must be set for internal access, otherwise, the transaction will be committed as the user who is currently logged in. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | One or more objects were updated successfully |
||
| 400 | One or more request parameters are invalid or the object data is malformed |
||
| 403 | The user does not have permission to update objects on this branch |
||
| 404 | The specified branch or one of the objects could not be found |
Cms_DeleteObjects
Delete objects by ID
Request
DELETE /branches/{branch}/objects
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branch | string | The branch ID, Guid or ApiIdentifier |
|
| X-CmsApi-Username | string | The username this transaction is committed for. This must be set for internal access, otherwise, the transaction will be committed as the user who is currently logged in. |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | One or more objects were deleted successfully |
||
| 400 | One or more request parameters are invalid or a protected type was specified |
||
| 403 | The user does not have permission to delete objects on this branch |
||
| 404 | The specified branch or one of the objects could not be found |
Cms_GetTypedObjects
Get objects of a type
Request
GET /branches/{branch}/types/{type}/objects[?deleted&inherited&continue&take&attributes&variants&languages]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branch | string | The branch ID, Guid or ApiIdentifier |
|
| *type | string | The object type ID, Guid or ApiIdentifier |
|
| deleted | boolean | Value of the deleted flag (default: return deleted and undeleted objects) |
|
| inherited | boolean | Include inherited values |
|
| continue | string | The token for the next objects |
|
| take | integer (int32) | The number of objects to take |
|
| attributes | string | A comma separated list of object IDs, Guids or ApiIdentifiers to filter down values by attributes |
|
| variants | string | A comma separated list of object IDs, Guids or ApiIdentifiers to filter down values by variants |
|
| languages | string | A comma separated list of object IDs, Guids or ApiIdentifiers to filter down values by languages |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | The objects of the specified type were found and returned successfully |
||
| 304 | The objects have not been modified since the last request |
||
| 400 | One or more request parameters are invalid or missing |
||
| 403 | The user does not have sufficient permissions to read objects of this type |
||
| 404 | The specified branch, type, or object could not be found |
||
| 422 | The provided type or object identifier matches more than one object |